# Class HTTPResultConverter

AbstractCollectionConverter
org.apache.jmeter.save.converters.SampleResultConverter
org.apache.jmeter.protocol.http.util.HTTPResultConverter

public class HTTPResultConverter extends SampleResultConverter
Class for XStream conversion of HTTPResult

## Field Summary

### Fields inherited from class SampleResultConverter

`TAG_COOKIES, TAG_METHOD, TAG_QUERY_STRING, TAG_REDIRECT_LOCATION, TAG_REQUEST_HEADER, TAG_RESPONSE_DATA, TAG_RESPONSE_FILE, TAG_RESPONSE_HEADER, TAG_SAMPLER_DATA`

## Constructor Summary

Constructors
Constructor
Description
`HTTPResultConverter(Mapper arg0)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canConvert(Class arg0)`
`static String`
`getVersion()`
Returns the converter version; used to check for possible incompatibilities
`void`
`marshal(Object obj, HierarchicalStreamWriter writer, MarshallingContext context)`
`Object`
`unmarshal(HierarchicalStreamReader reader, UnmarshallingContext context)`

### Methods inherited from class SampleResultConverter

`readFile, retrieveAttributes, retrieveItem, saveAssertions, saveRequestHeaders, saveResponseData, saveResponseHeaders, saveSamplerData, saveSubResults, setAttributes, writeString`

## Constructor Details

### HTTPResultConverter

public HTTPResultConverter(Mapper arg0)

Parameters:
  `arg0` - the mapper

## Method Details

### getVersion

public static String getVersion()
Returns the converter version; used to check for possible incompatibilities

Returns:
  the version of this component

### canConvert

public boolean canConvert(Class arg0)

Overrides:
  `canConvert` in class `SampleResultConverter`

### marshal

public void marshal(Object obj, HierarchicalStreamWriter writer, MarshallingContext context)

Overrides:
  `marshal` in class `SampleResultConverter`

### unmarshal

public Object unmarshal(HierarchicalStreamReader reader, UnmarshallingContext context)

Overrides:
  `unmarshal` in class `SampleResultConverter`